export declare const payload: {
    id: number;
    title: string;
    content: string;
    tags: string[];
};
export declare const createPayload: {
    id: number;
    title: string;
    content: string;
    tags: string[];
};
export declare const articlesPages: {
    prevPage: string;
    nextPage: string;
    results: ({
        id: number;
        title: string;
        content: string;
        tags: string[];
    } | {
        id: number;
        title: string;
        content: string;
        tags?: undefined;
    })[];
};
export declare const users: {
    id: number;
    username: string;
    email: string;
    isAdmin: boolean;
}[];
export declare const editorPayload: {
    editor: {
        id: number;
        username: string;
        email: string;
        isAdmin: boolean;
    };
    id: number;
    title: string;
    content: string;
    tags: string[];
};
export declare const nested: ({
    id: number;
    title: string;
    content: string;
    tags: string[];
    author: {
        id: number;
        username: string;
        email?: undefined;
    };
} | {
    id: number;
    title: string;
    content: string;
    author: {
        id: number;
        username: string;
        email: string;
    };
    tags?: undefined;
})[];
export declare const coAuthored: {
    id: number;
    title: string;
    content: string;
    tags: string[];
    author: {
        id: number;
        username: string;
    };
    coAuthors: ({
        id: number;
        username: string;
        email: string;
    } | {
        id: number;
        username: string;
        email?: undefined;
    })[];
};
export declare const valuesFixture: {
    first: {
        id: number;
        title: string;
        content: string;
        tags: never[];
    };
    second: {
        id: number;
        name: string;
        content: string;
        tags: never[];
    };
};
export declare const paginatedFirstPage: {
    results: ({
        id: number;
        title: string;
        content: string;
        tags: string[];
        author: {
            id: number;
            username: string;
            email?: undefined;
        };
    } | {
        id: number;
        title: string;
        content: string;
        author: {
            id: number;
            username: string;
            email: string;
        };
        tags?: undefined;
    })[];
};
export declare const paginatedSecondPage: {
    results: ({
        id: number;
        title: string;
        content: string;
        tags: string[];
        author: {
            id: number;
            username: string;
            email?: undefined;
        };
    } | {
        id: number;
        title: string;
        content: string;
        author: {
            id: number;
            username: string;
            email: string;
        };
        tags?: undefined;
    })[];
};
//# sourceMappingURL=test-fixtures.d.ts.map
