import { Schema, NetworkError, EndpointInterface, UnknownError, FetchFunction } from '@rest-hooks/react';
import { ReadShape, ParamsFromShape } from '../endpoint/index.js';
export type ErrorTypes = NetworkError | UnknownError;
type UseErrorReturn<P> = P extends [
    null
] ? undefined : ErrorTypes | undefined;
/**
 * Get any errors for a given request
 * @see https://resthooks.io/docs/api/useError
 */
export default function useError<E extends Pick<EndpointInterface<FetchFunction, Schema | undefined, undefined>, 'key' | 'schema' | 'invalidIfStale'> | Pick<ReadShape<any, any>, 'getFetchKey' | 'schema' | 'options'>, Args extends (E extends {
    key: any;
} ? readonly [
    ...Parameters<E['key']>
] : readonly [
    ParamsFromShape<E>
]) | readonly [
    null
]>(endpoint: E, ...args: Args): UseErrorReturn<typeof args>;
export {};
//# sourceMappingURL=useError.d.ts.map
